Delete a contract (tenant:trade:contract:write)
DELETE /api/trade/v1/contracts/{id}
Module: Trade · operationId: deleteContract · Tag: Contracts · Auth: access token (Authorization: Bearer <accessToken>)
Publishes trade.contract.deleted.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes |
Responses
- 200 Deleted (
application/json) - 401 No valid session or bearer token (no body).
- 404 Not found in the tenant. (
application/json)
Fields of the 200 answer:
status(string, required): Outcome of the request.
Example 200 answer:
{
"status": "deleted"
}
Example request
curl -X DELETE 'https://api.mbcom.cloud/api/trade/v1/contracts/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
-H "Authorization: Bearer $ACCESS_TOKEN"